Skip to main content
GET
/
api
/
v1
/
places
/
{id}
Get place
curl --request GET \
  --url https://shelfforce.ai/api/v1/places/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "title": "<string>",
    "address": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "location": {
      "lat": 0,
      "lng": 0
    },
    "countryCode": "<string>",
    "state": "<string>",
    "channel": "<string>",
    "categoryName": "<string>",
    "street": "<string>",
    "postalCode": "<string>",
    "url": "<string>",
    "imageUrl": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key with sf_live_ prefix. Pass as Authorization: Bearer sf_live_...

Path Parameters

id
string
required

Place ID.

Example:

"pl_abc123"

Response

Place details.

data
object
required